﻿using Syncfusion.XForms.DataForm;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace DataForm
{
    public class Contacts : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }


        private string _code = "";
        public string Code
        {
            get => _code;
            set
            {
                _code = value;
                RaisePropertyChanged("Code");
            }
        }

        private string _name = "";
        public string Name
        {
            get => _name;
            set
            {
                _name = value;
                RaisePropertyChanged("Name");
            }
        }

        private string _address = "";
        public string Address
        {
            get => _address;
            set
            {
                _address = value;
                RaisePropertyChanged("Address");
            }
        }

        private string _bank = "";
        public string Bank
        {
            get => _bank;
            set
            {
                _bank = value;
                RaisePropertyChanged("Bank");
            }
        }


    }
}
